E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GNet::AddressStorage Class Reference

A helper class for calling accept(), getsockname() and getpeername() and hiding the definition of sockaddr_storage. More...

`#include <gaddress.h>`

## Public Member Functions
| AddressStorage ()
| Default constructor.
| ~AddressStorage ()
| Destructor.
sockaddr * | p1 ()
| Returns the sockaddr pointer for accept()/getsockname()/getpeername() to write into. More...
socklen_t * | p2 ()
| Returns the length pointer for accept()/getsockname()/getpeername() to write into. More...
const sockaddr * | p () const
| Returns the pointer.
socklen_t | n () const
| Returns the length.

## Detailed Description

A helper class for calling accept(), getsockname() and getpeername() and hiding the definition of sockaddr_storage.

Definition at line 201 of file gaddress.h.

## Member Function Documentation

sockaddr * GNet::AddressStorage::p1 | ( |  | ) |

Returns the sockaddr pointer for accept()/getsockname()/getpeername() to write into.

Definition at line 224 of file gaddress_ipv4.cpp.

socklen_t * GNet::AddressStorage::p2 | ( |  | ) |

Returns the length pointer for accept()/getsockname()/getpeername() to write into.

Definition at line 229 of file gaddress_ipv4.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/gaddress.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/gaddress_ipv4.cpp
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/gaddress_ipv6.cpp